﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Text;
using Infragistics.Web.UI.GridControls;
using System.Drawing;
using Infragistics.Web.UI.Framework;

public partial class _Default : System.Web.UI.Page
{
    /// <summary>
    /// Page_Load event
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Page_Load(object sender, EventArgs e)
    {
        wDG1.DataSource = GetGridData(12);
        wDG1.DataKeyFields = "Col_1";
    }

    /// <summary>
    /// Sample DataTable
    /// </summary>
    /// <param name="rows"></param>
    /// <returns></returns>
    private DataTable GetGridData(int rows)
    {
        DataTable dtData;
        if (!this.IsPostBack)
        {
            dtData = new DataTable("TestData");

            DataColumn col = dtData.Columns.Add("Col_1", typeof(string));
            dtData.Columns.Add("Col_2", typeof(string));
            dtData.Columns.Add("Col_3", typeof(int));
            dtData.Columns.Add("Col_4", typeof(string));
            dtData.PrimaryKey = new DataColumn[] { col };
            for (int i = 1; i <= rows; i++)
            {
                DataRow dr = dtData.NewRow();

                dr["Col_1"] = "Col 1 Row " + i.ToString();
                dr["Col_2"] = "This is some text";
                dr["Col_3"] = (i % 2 == 0) ? -i : i;
                dr["Col_4"] = (i % 2 == 0) ? "Harry" : "Frank";

                dtData.Rows.Add(dr);
            }
            Session["dtData"] = dtData;
        }
        else
            dtData = (DataTable)Session["dtData"];

        dtData.AcceptChanges();
        return dtData;
    }
}
